MatchingAlgorithm Class Referenceabstract

`#include <MatchingAlgorithm.h>`

Inheritance diagram for MatchingAlgorithm:

## Public Member Functions

| MatchingAlgorithm (Graph *g, Matching *m, float goal)
virtual | ~MatchingAlgorithm (void)
virtual void | run (void)=0
Matching * | getMatching (void) const
void | setGoal (float goal)
virtual const char * | getName (void) const =0

## Protected Attributes

Graph * | TheGraph
Matching * | TheMatching
unsigned long | CardinalityGoal

## Constructor & Destructor Documentation

## MatchingAlgorithm()

MatchingAlgorithm::MatchingAlgorithm | ( | Graph * | g,
|  | Matching * | m,
|  | float | goal )

## ~MatchingAlgorithm()

virtual MatchingAlgorithm::~MatchingAlgorithm | ( | void |  | ) |

inline virtual

## Member Function Documentation

## getMatching()

Matching * MatchingAlgorithm::getMatching | ( | void |  | ) | const

inline

## getName()

virtual const char * MatchingAlgorithm::getName | ( | void |  | ) | const

pure virtual

Implemented in BFSAPHeuristic, DFSAPHeuristic, DMDConstructionHeuristic, SMDConstructionHeuristic, and WKSConstructionHeuristic.

## run()

virtual void MatchingAlgorithm::run | ( | void |  | ) |

pure virtual

Implemented in BFSAPHeuristic, DFSAPHeuristic, DMDConstructionHeuristic, SMDConstructionHeuristic, and WKSConstructionHeuristic.

## setGoal()

void MatchingAlgorithm::setGoal | ( | float | goal | ) |

## Member Data Documentation

## CardinalityGoal

unsigned long MatchingAlgorithm::CardinalityGoal

protected

## TheGraph

Graph* MatchingAlgorithm::TheGraph

protected

## TheMatching

Matching* MatchingAlgorithm::TheMatching

protected

The documentation for this class was generated from the following files:

- MatchingAlgorithm.h
- MatchingAlgorithm.cc